import { Plugin, ToolbarItemType } from '../plugin';
import { AnnotationEditorLayerBuilder } from './annotation-editor-layer-builder';
import { AnnotationEditorStorage } from './annotation-editor-storage';
export declare class AnnotationEditorPlugin extends Plugin {
    protected getToolbarItems(): Map<string, ToolbarItemType>;
    protected layerBuilders: (typeof AnnotationEditorLayerBuilder)[];
    private _annotationEditorStorage?;
    get annotationEditorStorage(): AnnotationEditorStorage | undefined;
    protected init(): void;
    protected destroy(): void;
}
